VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | Protected Attributes | List of all members
AEffGUIEditor Class Reference
Inheritance diagram for AEffGUIEditor:

## Public Member Functions
| AEffGUIEditor (void *pEffect)
virtual | ~AEffGUIEditor ()
virtual void | setParameter (VstInt32 index, float value)
virtual bool | getRect (ERect **ppRect)
virtual bool | open (void *ptr)
virtual void | idle ()
virtual void | doIdleStuff ()
AudioEffect * | getEffect ()
int32_t | getVstGuiVersion ()
virtual bool | setKnobMode (int32_t val)
virtual int32_t | getKnobMode () const
virtual bool | beforeSizeChange (const CRect &newSize, const CRect &oldSize)
| frame will change size, if this returns false the upstream implementation does not allow it and thus the size of the frame will not change
virtual bool | onWheel (float distance)
Public Member Functions inherited from VSTGUIEditorInterface
virtual void | beginEdit (int32_t index)
virtual void | endEdit (int32_t index)
virtual CFrame * | getFrame () const

## Protected Attributes
ERect | rect
Protected Attributes inherited from VSTGUIEditorInterface
CFrame * | frame {nullptr}

## Additional Inherited Members
Protected Member Functions inherited from VSTGUIEditorInterface
| VSTGUIEditorInterface ()=default
virtual | ~VSTGUIEditorInterface () noexcept=default

## Constructor & Destructor Documentation

AEffGUIEditor | ( | void * | pEffect | ) |

~AEffGUIEditor | ( |  | ) |
| virtual

## Member Function Documentation

bool beforeSizeChange | ( | const CRect & | newSize,
|  | const CRect & | oldSize
| ) |  |
| virtual

frame will change size, if this returns false the upstream implementation does not allow it and thus the size of the frame will not change

Reimplemented from VSTGUIEditorInterface.

void doIdleStuff | ( |  | ) |
| virtual

Reimplemented from VSTGUIEditorInterface.

AudioEffect* getEffect | ( |  | ) |
| inline

virtual int32_t getKnobMode | ( |  | ) | const
| inline virtual

Reimplemented from VSTGUIEditorInterface.

bool getRect | ( | ERect ** | ppRect | ) |
| virtual

int32_t getVstGuiVersion | ( |  | ) |
| inline

void idle | ( |  | ) |
| virtual

bool onWheel | ( | float | distance | ) |
| virtual

bool open | ( | void * | ptr | ) |
| virtual

bool setKnobMode | ( | int32_t | val | ) |
| virtual

virtual void setParameter | ( | VstInt32 | index,
|  | float | value
| ) |  |
| inline virtual

## Member Data Documentation

ERect rect
| protected

The documentation for this class was generated from the following files:

- aeffguieditor.h
- aeffguieditor.cpp